> ## Documentation Index
> Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete files on the MiniMax API Platform.



## OpenAPI

````yaml /api-reference/file/management/api/openapi.json POST /v1/files/delete
openapi: 3.1.0
info:
  title: MiniMax File Management API
  description: >-
    MiniMax file management API for uploading, retrieving, listing, and deleting
    files
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.minimax.io
security:
  - bearerAuth: []
paths:
  /v1/files/delete:
    post:
      tags:
        - Files
      summary: Delete File
      operationId: deleteFile
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: >-
            The media type of the request body. Must be set to
            `application/json` to ensure the data is sent in JSON format.
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteFileReq'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteFileResp'
components:
  schemas:
    DeleteFileReq:
      type: object
      required:
        - file_id
        - purpose
      properties:
        file_id:
          type: integer
          format: int64
          description: The unique identifier for the file.
        purpose:
          type: string
          description: |-
            The purpose of the file. Possible values are:
            1. voice_clone
            2. prompt_audio
            3. t2a_async
            4. t2a_async_input
            5. video_generation
          enum:
            - voice_clone
            - prompt_audio
            - t2a_async
            - t2a_async_input
            - video_generation
      example:
        file_id: ${file_id}
        purpose: t2a_async_input
    DeleteFileResp:
      type: object
      properties:
        file_id:
          type: integer
          format: int64
          description: The unique identifier for the file.
        base_resp:
          $ref: '#/components/schemas/ListRetrieveDeleteFileBaseResp'
      example:
        file_id: ${file_id}
        base_resp:
          status_code: 0
          status_msg: success
    ListRetrieveDeleteFileBaseResp:
      type: object
      properties:
        status_code:
          type: integer
          description: |-
            The status codes are as follows:
            - 1000, Unknown error;
            - 1001, Timeout;
            - 1002, RPM limit triggered;
            - 1004, Authentication failed;
            - 1008, Insufficient balance;
            - 1013, Internal service error;
            - 1026, Input content error;
            - 1027, Output content error;
            - 1039, TPM limit triggered;
            - 2013, Abnormal input format.

             For more information, please refer to the [Error Code Reference](/api-reference/errorcode).
        status_msg:
          type: string
          description: Status details.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        `HTTP: Bearer Auth`

        - Security Scheme Type: http

        - HTTP Authorization Scheme: `Bearer API_key`, can be found in [Account
        Management>API
        Keys](https://platform.minimax.io/user-center/basic-information/interface-key).

````